Loading...
Searching...
No Matches
svn_ra_plugin_t Struct Reference

Using this callback struct is similar to calling the newer public interface that is based on `svn_ra_session_t`. More...

`#include <svn_ra.h>`

## Data Fields

const char * | name
| The proper name of the RA library, (like "ra_serf" or "ra_local").
const char * | description
| Short doc string printed out by svn --version.
svn_error_t *(* | open )(void **session_baton, const char *repos_URL, const svn_ra_callbacks_t *callbacks, void *callback_baton, apr_hash_t *config, apr_pool_t *pool)
| Call svn_ra_open() and set session_baton to an object representing the new session.
svn_error_t *(* | get_latest_revnum )(void *session_baton, svn_revnum_t *latest_revnum, apr_pool_t *pool)
| Call svn_ra_get_latest_revnum() with the session associated with session_baton and all other arguments.
svn_error_t *(* | get_dated_revision )(void *session_baton, svn_revnum_t *revision, apr_time_t tm, apr_pool_t *pool)
| Call svn_ra_get_dated_revision() with the session associated with session_baton and all other arguments.
svn_error_t *(* | change_rev_prop )(void *session_baton, svn_revnum_t rev, const char *name, const svn_string_t *value, apr_pool_t *pool)
| Call svn_ra_change_rev_prop() with the session associated with session_baton and all other arguments.
svn_error_t *(* | rev_proplist )(void *session_baton, svn_revnum_t rev, apr_hash_t **props, apr_pool_t *pool)
| Call svn_ra_rev_proplist() with the session associated with session_baton and all other arguments.
svn_error_t *(* | rev_prop )(void *session_baton, svn_revnum_t rev, const char *name, svn_string_t **value, apr_pool_t *pool)
| Call svn_ra_rev_prop() with the session associated with session_baton and all other arguments.
svn_error_t *(* | get_commit_editor )(void *session_baton, const svn_delta_editor_t **editor, void **edit_baton, const char *log_msg, svn_commit_callback_t callback, void *callback_baton, apr_pool_t *pool)
| Call svn_ra_get_commit_editor() with the session associated with session_baton and all other arguments plus lock_tokens set to `NULL` and keep_locks set to `TRUE`.
svn_error_t *(* | get_file )(void *session_baton, const char *path, svn_revnum_t revision, svn_stream_t *stream, svn_revnum_t *fetched_rev, apr_hash_t **props, apr_pool_t *pool)
| Call svn_ra_get_file() with the session associated with session_baton and all other arguments.
svn_error_t *(* | get_dir )(void *session_baton, const char *path, svn_revnum_t revision, apr_hash_t **dirents, svn_revnum_t *fetched_rev, apr_hash_t **props, apr_pool_t *pool)
| Call svn_ra_get_dir() with the session associated with session_baton and all other arguments.
svn_error_t *(* | do_update )(void *session_baton, const svn_ra_reporter_t **reporter, void **report_baton, svn_revnum_t revision_to_update_to, const char *update_target, svn_boolean_t recurse, const svn_delta_editor_t *update_editor, void *update_baton, apr_pool_t *pool)
| Call svn_ra_do_update() with the session associated with session_baton and all other arguments.
svn_error_t *(* | do_switch )(void *session_baton, const svn_ra_reporter_t **reporter, void **report_baton, svn_revnum_t revision_to_switch_to, const char *switch_target, svn_boolean_t recurse, const char *switch_url, const svn_delta_editor_t *switch_editor, void *switch_baton, apr_pool_t *pool)
| Call svn_ra_do_switch() with the session associated with session_baton and all other arguments.
svn_error_t *(* | do_status )(void *session_baton, const svn_ra_reporter_t **reporter, void **report_baton, const char *status_target, svn_revnum_t revision, svn_boolean_t recurse, const svn_delta_editor_t *status_editor, void *status_baton, apr_pool_t *pool)
| Call svn_ra_do_status() with the session associated with session_baton and all other arguments.
svn_error_t *(* | do_diff )(void *session_baton, const svn_ra_reporter_t **reporter, void **report_baton, svn_revnum_t revision, const char *diff_target, svn_boolean_t recurse, svn_boolean_t ignore_ancestry, const char *versus_url, const svn_delta_editor_t *diff_editor, void *diff_baton, apr_pool_t *pool)
| Call svn_ra_do_diff() with the session associated with session_baton and all other arguments.
svn_error_t *(* | get_log )(void *session_baton, const apr_array_header_t *paths, svn_revnum_t start, svn_revnum_t end, svn_boolean_t discover_changed_paths, svn_boolean_t strict_node_history, svn_log_message_receiver_t receiver, void *receiver_baton, apr_pool_t *pool)
| Call svn_ra_get_log() with the session associated with session_baton and all other arguments.
svn_error_t *(* | check_path )(void *session_baton, const char *path, svn_revnum_t revision, svn_node_kind_t *kind, apr_pool_t *pool)
| Call svn_ra_check_path() with the session associated with session_baton and all other arguments.
svn_error_t *(* | get_uuid )(void *session_baton, const char **uuid, apr_pool_t *pool)
| Call svn_ra_get_uuid() with the session associated with session_baton and all other arguments.
svn_error_t *(* | get_repos_root )(void *session_baton, const char **url, apr_pool_t *pool)
| Call svn_ra_get_repos_root() with the session associated with session_baton and all other arguments.
svn_error_t *(* | get_locations )(void *session_baton, apr_hash_t **locations, const char *path, svn_revnum_t peg_revision, apr_array_header_t *location_revisions, apr_pool_t *pool)
| Call svn_ra_get_locations() with the session associated with session_baton and all other arguments.
svn_error_t *(* | get_file_revs )(void *session_baton, const char *path, svn_revnum_t start, svn_revnum_t end, svn_ra_file_rev_handler_t handler, void *handler_baton, apr_pool_t *pool)
| Call svn_ra_get_file_revs() with the session associated with session_baton and all other arguments.
const svn_version_t *(* | get_version )(void)
| Return the plugin's version information.

## Detailed Description

Using this callback struct is similar to calling the newer public interface that is based on `svn_ra_session_t`.

Deprecated
  Provided for backward compatibility with the 1.1 API.

Definition at line 2315 of file svn_ra.h.

## Field Documentation

## change_rev_prop

svn_error_t *(* svn_ra_plugin_t::change_rev_prop) (void *session_baton, svn_revnum_t rev, const char *name, const svn_string_t *value, apr_pool_t *pool)

Call svn_ra_change_rev_prop() with the session associated with session_baton and all other arguments.

Definition at line 2353 of file svn_ra.h.

## check_path

svn_error_t *(* svn_ra_plugin_t::check_path) (void *session_baton, const char *path, svn_revnum_t revision, svn_node_kind_t *kind, apr_pool_t *pool)

Call svn_ra_check_path() with the session associated with session_baton and all other arguments.

Definition at line 2481 of file svn_ra.h.

## description

const char* svn_ra_plugin_t::description

Short doc string printed out by svn --version.

Definition at line 2321 of file svn_ra.h.

## do_diff

svn_error_t *(* svn_ra_plugin_t::do_diff) (void *session_baton, const svn_ra_reporter_t **reporter, void **report_baton, svn_revnum_t revision, const char *diff_target, svn_boolean_t recurse, svn_boolean_t ignore_ancestry, const char *versus_url, const svn_delta_editor_t *diff_editor, void *diff_baton, apr_pool_t *pool)

Call svn_ra_do_diff() with the session associated with session_baton and all other arguments.

Definition at line 2453 of file svn_ra.h.

## do_status

svn_error_t *(* svn_ra_plugin_t::do_status) (void *session_baton, const svn_ra_reporter_t **reporter, void **report_baton, const char *status_target, svn_revnum_t revision, svn_boolean_t recurse, const svn_delta_editor_t *status_editor, void *status_baton, apr_pool_t *pool)

Call svn_ra_do_status() with the session associated with session_baton and all other arguments.

Definition at line 2440 of file svn_ra.h.

## do_switch

svn_error_t *(* svn_ra_plugin_t::do_switch) (void *session_baton, const svn_ra_reporter_t **reporter, void **report_baton, svn_revnum_t revision_to_switch_to, const char *switch_target, svn_boolean_t recurse, const char *switch_url, const svn_delta_editor_t *switch_editor, void *switch_baton, apr_pool_t *pool)

Call svn_ra_do_switch() with the session associated with session_baton and all other arguments.

Definition at line 2426 of file svn_ra.h.

## do_update

svn_error_t *(* svn_ra_plugin_t::do_update) (void *session_baton, const svn_ra_reporter_t **reporter, void **report_baton, svn_revnum_t revision_to_update_to, const char *update_target, svn_boolean_t recurse, const svn_delta_editor_t *update_editor, void *update_baton, apr_pool_t *pool)

Call svn_ra_do_update() with the session associated with session_baton and all other arguments.

Definition at line 2413 of file svn_ra.h.

## get_commit_editor

svn_error_t *(* svn_ra_plugin_t::get_commit_editor) (void *session_baton, const svn_delta_editor_t **editor, void **edit_baton, const char *log_msg, svn_commit_callback_t callback, void *callback_baton, apr_pool_t *pool)

Call svn_ra_get_commit_editor() with the session associated with session_baton and all other arguments plus lock_tokens set to `NULL` and keep_locks set to `TRUE`.

Definition at line 2380 of file svn_ra.h.

## get_dated_revision

svn_error_t *(* svn_ra_plugin_t::get_dated_revision) (void *session_baton, svn_revnum_t *revision, apr_time_t tm, apr_pool_t *pool)

Call svn_ra_get_dated_revision() with the session associated with session_baton and all other arguments.

Definition at line 2345 of file svn_ra.h.

## get_dir

svn_error_t *(* svn_ra_plugin_t::get_dir) (void *session_baton, const char *path, svn_revnum_t revision, apr_hash_t **dirents, svn_revnum_t *fetched_rev, apr_hash_t **props, apr_pool_t *pool)

Call svn_ra_get_dir() with the session associated with session_baton and all other arguments.

Definition at line 2402 of file svn_ra.h.

## get_file

svn_error_t *(* svn_ra_plugin_t::get_file) (void *session_baton, const char *path, svn_revnum_t revision, svn_stream_t *stream, svn_revnum_t *fetched_rev, apr_hash_t **props, apr_pool_t *pool)

Call svn_ra_get_file() with the session associated with session_baton and all other arguments.

Definition at line 2391 of file svn_ra.h.

## get_file_revs

svn_error_t *(* svn_ra_plugin_t::get_file_revs) (void *session_baton, const char *path, svn_revnum_t start, svn_revnum_t end, svn_ra_file_rev_handler_t handler, void *handler_baton, apr_pool_t *pool)

Call svn_ra_get_file_revs() with the session associated with session_baton and all other arguments.

Since
  New in 1.1.

Definition at line 2520 of file svn_ra.h.

## get_latest_revnum

svn_error_t *(* svn_ra_plugin_t::get_latest_revnum) (void *session_baton, svn_revnum_t *latest_revnum, apr_pool_t *pool)

Call svn_ra_get_latest_revnum() with the session associated with session_baton and all other arguments.

Definition at line 2338 of file svn_ra.h.

## get_locations

svn_error_t *(* svn_ra_plugin_t::get_locations) (void *session_baton, apr_hash_t **locations, const char *path, svn_revnum_t peg_revision, apr_array_header_t *location_revisions, apr_pool_t *pool)

Call svn_ra_get_locations() with the session associated with session_baton and all other arguments.

Since
  New in 1.1.

Definition at line 2507 of file svn_ra.h.

## get_log

svn_error_t *(* svn_ra_plugin_t::get_log) (void *session_baton, const apr_array_header_t *paths, svn_revnum_t start, svn_revnum_t end, svn_boolean_t discover_changed_paths, svn_boolean_t strict_node_history, svn_log_message_receiver_t receiver, void *receiver_baton, apr_pool_t *pool)

Call svn_ra_get_log() with the session associated with session_baton and all other arguments.

limit is set to 0.

Definition at line 2468 of file svn_ra.h.

## get_repos_root

svn_error_t *(* svn_ra_plugin_t::get_repos_root) (void *session_baton, const char **url, apr_pool_t *pool)

Call svn_ra_get_repos_root() with the session associated with session_baton and all other arguments.

Definition at line 2497 of file svn_ra.h.

## get_uuid

svn_error_t *(* svn_ra_plugin_t::get_uuid) (void *session_baton, const char **uuid, apr_pool_t *pool)

Call svn_ra_get_uuid() with the session associated with session_baton and all other arguments.

Definition at line 2490 of file svn_ra.h.

## get_version

const svn_version_t *(* svn_ra_plugin_t::get_version) (void)

Return the plugin's version information.

Since
  New in 1.1.

Definition at line 2533 of file svn_ra.h.

## name

const char* svn_ra_plugin_t::name

The proper name of the RA library, (like "ra_serf" or "ra_local").

Definition at line 2318 of file svn_ra.h.

## open

svn_error_t *(* svn_ra_plugin_t::open) (void **session_baton, const char *repos_URL, const svn_ra_callbacks_t *callbacks, void *callback_baton, apr_hash_t *config, apr_pool_t *pool)

Call svn_ra_open() and set session_baton to an object representing the new session.

All other arguments are passed to svn_ra_open().

Definition at line 2328 of file svn_ra.h.

## rev_prop

svn_error_t *(* svn_ra_plugin_t::rev_prop) (void *session_baton, svn_revnum_t rev, const char *name, svn_string_t **value, apr_pool_t *pool)

Call svn_ra_rev_prop() with the session associated with session_baton and all other arguments.

Definition at line 2370 of file svn_ra.h.

## rev_proplist

svn_error_t *(* svn_ra_plugin_t::rev_proplist) (void *session_baton, svn_revnum_t rev, apr_hash_t **props, apr_pool_t *pool)

Call svn_ra_rev_proplist() with the session associated with session_baton and all other arguments.

Definition at line 2362 of file svn_ra.h.

The documentation for this struct was generated from the following file:

- svn_ra.h